[Mediawiki-l] Error after upgrading from 1.9.3

Philip Beach beachboy4231 at gmail.com
Sun Jun 15 03:04:02 UTC 2008


Thanks for all the help everyone. The problem was an include statement
placed in the wrong section of LocalSettings.php. Why it didn't effect 1.9.3
is beyond me.

On Sat, Jun 14, 2008 at 4:01 PM, Michael Daly <michael.daly at kayakwiki.org>
wrote:

> Philip Beach wrote:
>
> > Detected bug in an extension! Hook efDspHook failed to return a value;
> > should return true to continue hook processing or false to abort.
>
> The function is supposed to return a value of "true" if it worked
> correctly and things should continue or "false" if not.  However, the
> function returns nothing.
>
> With the newer releases of MW, this is enforced and generates an error.
>  You have to get the extension writer to update the extension to follow
> the standards.
>
> If you can figure out the code, you can change it yourself to return
> either "true" or "false" as the case demands.
>
> Mike
>
>
>
>
>
> _______________________________________________
> MediaWiki-l mailing list
> MediaWiki-l at lists.wikimedia.org
> https://lists.wikimedia.org/mailman/listinfo/mediawiki-l
>


More information about the MediaWiki-l mailing list